extends KinematicBody2D

var allowed_to_move = true

func _process(_delta):
	if allowed_to_move:
		if Input.is_action_just_pressed("ui_up"):
			move(Vector2.UP)
		elif Input.is_action_just_pressed("ui_down"):
			move(Vector2.DOWN)
		elif Input.is_action_just_pressed("ui_left"):
			move(Vector2.LEFT)
		elif Input.is_action_just_pressed("ui_right"):
			move(Vector2.RIGHT)

func move(dir):
	allowed_to_move = false
	$Tween.interpolate_property( self,
								"position",
								position,
								position + dir * 64,
								0.1,
								Tween.TRANS_LINEAR,
								Tween.EASE_IN
	)
	$Tween.start()

func _on_Tween_tween_all_completed():
	allowed_to_move = true
