extends Node2D

signal signal_next_level

var stage_number = 0

func _on_Area2D_body_entered(body):
	print(body.name, " entered red Area")
	$AnimationPlayer.play("transition")

func _on_AnimationPlayer_animation_finished(_anim_name):
	$player.position = Vector2(128, 256)
	stage_number += 1
	$Label.text = str("stage ", stage_number)
	$Area2D/ColorRect.modulate.a = 1.0
	#yield(get_tree().create_timer(0.01), "timeout") #this has no effect
	#yield(get_tree().create_timer(0.1), "timeout") #this seems to be long enough
	call_deferred("emit_signal","signal_next_level")
